::-webkit-scrollbar {
  width: 0.7rem;
  border-radius: 0.5rem;
  background-color: #51585f;
}

::-webkit-scrollbar-thumb {
  background-color: #8a8e8f;

  border-radius: 0.5rem;
}
::-webkit-scrollbar-thumb:hover {
  background-color: #b9bcbe;
}

#pageContent {
  visibility: hidden;
}

.preloader {
  position: fixed;
  display: flex;
  flex-direction: column;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 9999;
}

.preloader .container {
  margin-top: auto;
  margin-bottom: auto;
}

.icon-alert {
  width: 2rem;
  height: 2rem;
}

.ts-dropdown {
  z-index: 9999 !important;
}

.ts-dropdown-content .option {
  transition: color 0.2s ease-in-out;
}

.ts-dropdown-content .option:hover {
  color: #d63939 !important;
}

.btn-close:focus {
  box-shadow: none;
}

.form-control.is-invalid {
  background-image: none;
}

.form-select.is-invalid {
  background-image: none;
}

.input-group .form-control.is-invalid ~ .input-group-text {
  border-color: #d63939 !important;
}

.input-group .form-control.is-invalid:focus ~ .input-group-text {
  border-color: #d63939 !important;
}

.input-group-flat:focus-within .form-control.is-invalid {
  border-color: #d63939 !important;
}

.input-group-flat .form-control.is-invalid {
  box-shadow: none;
}

.input-group-flat:has(.form-control.is-invalid:focus) {
  box-shadow: 0 0 0 0.25rem rgba(214, 57, 57, 0.25) !important;
}

.input-group-flat:focus-within:has(.form-control.is-invalid) {
  box-shadow: 0 0 0 0.25rem rgba(214, 57, 57, 0.25) !important;
}

.fade-in {
  animation: fadeIn 1s ease-in-out;
  display: none;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.alert {
  border-left: 0 !important;
}

.table thead th {
  font-size: 0.75rem !important;
}

.dt-container {
  margin-bottom: 1rem !important;
}

.btn-group .btn {
  padding: 0.5rem 0.6rem;
}

.dropdown-item.active {
  background-color: inherit;
  color: #2b88e6;
  font-weight: bold;
}

.toast {
  opacity: 0;
  transform: translateY(50px);
  animation: fadeIn 1s ease forwards;
}

@keyframes fadeIn {
  0% {
    opacity: 0;
    transform: translateY(50px);
  }
  100% {
    opacity: 0.9;
    transform: translateY(0);
  }
}

@keyframes fadeOut {
  0% {
    opacity: 0.9;
    transform: translateY(0);
  }
  100% {
    opacity: 0;
    transform: translateY(50px);
  }
}

.toast.hide {
  animation: fadeOut 1s ease forwards;
}

.bg-teal:hover {
  background-color: #0b7e5b;
}

#rowNotification {
  max-height: 300px;
  overflow-y: auto;
  padding-right: 5px;
}

#rowNotification::-webkit-scrollbar {
  display: none;
}

#rowNotification {
  user-select: text; 
  pointer-events: auto; 
}
